summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2016-02-03 08:32:14 -0800
committerRobin H. Johnson <robbat2@gentoo.org>2016-02-03 08:32:38 -0800
commit27074e80a34f3ad5c66500b802bb940a844b7b16 (patch)
treea28c8f3a7dea35a3af92eec8f970c3c2d3f6efcf /sys-block/fio
parentmedia-radio/cwdaemon: add alpha keyword (diff)
downloadgentoo-27074e80a34f3ad5c66500b802bb940a844b7b16.tar.gz
gentoo-27074e80a34f3ad5c66500b802bb940a844b7b16.tar.bz2
gentoo-27074e80a34f3ad5c66500b802bb940a844b7b16.zip
sys-block/fio: fix bug 572446 caused by newer kernel headers, also version bump.
Package-Manager: portage-2.2.27
Diffstat (limited to 'sys-block/fio')
-rw-r--r--sys-block/fio/Manifest1
-rw-r--r--sys-block/fio/files/fio-2.2.10-libmtd.patch12
-rw-r--r--sys-block/fio/files/fio-2.2.13-libmtd.patch12
-rw-r--r--sys-block/fio/fio-2.2.10.ebuild1
-rw-r--r--sys-block/fio/fio-2.2.13.ebuild1
-rw-r--r--sys-block/fio/fio-2.5.ebuild1
-rw-r--r--sys-block/fio/fio-2.6.ebuild92
7 files changed, 120 insertions, 0 deletions
diff --git a/sys-block/fio/Manifest b/sys-block/fio/Manifest
index 5fca220072f..f53ae8f4832 100644
--- a/sys-block/fio/Manifest
+++ b/sys-block/fio/Manifest
@@ -8,3 +8,4 @@ DIST fio-2.2.13.tar.bz2 503950 SHA256 66a0084c37bd8804d9f7d260d843a9a3bf51561954
DIST fio-2.2.4.tar.bz2 467312 SHA256 9e1c77216457d9e21e418a55fa28bc1f98c283723fe9dcccff6138e3fb25285b SHA512 91fa0d8f9dd8d950dd26ef5c778414acddd9d6deeb84caeecdfef08df7e00c7972566a76bd242b0d5aea33a7c588aa05cf2fdcd79ef5a475277a2139d1f111a1 WHIRLPOOL 4588601d5f44c1836f97cc223bf08cce3f29f5ea3421880c00a16dcd9e3cffd741bbdd2029518712f8808548469d7f44f1b0348189643419bfd2104eab980536
DIST fio-2.2.9.tar.bz2 492404 SHA256 c881d9cf15500bd4436970d0467c356c5c021417131587931ba78845e965bf56 SHA512 e0cd26bb8a760ef5e40ddb73246671c1988f0c0886bd24fa510fcab93fe64d8853f120355f55fa109168c7fae0b081f63278f2233644f5ed20da4e4c3cb3f3fc WHIRLPOOL 4f5ada7f1140c7229fc3173fa0582a4ae7401121768d8dec828dcd42c1c22ec828e9c000c482b155ead4fd75ee15c4d7678fc7c6d18c8fbb9c749e83f87a4881
DIST fio-2.5.tar.bz2 509978 SHA256 30f85cd6596125bd2f76b379f15a4edee1149bb0347a9c10a2dda15d7591a543 SHA512 44fc4bc342b611f9ed89685d73592389dd9e63970a9bbcc1b332aa8434a3e4a52b0c16d27b6a6dd96fcf3a9831a68af5249251895a6dbd9f7190ad0b8935eb40 WHIRLPOOL dced416aae899987ff80c6f37999a064d8a45c8ea809d7a3f3a2eea5dd3b6ae5633125326373a5da3b37429dc940f0c97fa9694e976a61819709db3b6ab7ac3e
+DIST fio-2.6.tar.bz2 509685 SHA256 b4b846fca614f724b8315348cb23e2d4a1046e63f10e79b4b310acf29c4d1ac0 SHA512 9831c3de2110c509f6c99ffe0fc8256aea2b9b337e6b2799108c89d1b5e472a85e6df9cb090549db80429658717aa75f2ab10d41359386e1dde861c600645b39 WHIRLPOOL c5138eb2def4c67ee0d5cca46db6aa663e2a1e0eead05aab5938ced20dd68bc214f217724d3bd1c4a1030b4ffee2c07ee37910b57c6f11b2ed6a0ff67d3b30cc
diff --git a/sys-block/fio/files/fio-2.2.10-libmtd.patch b/sys-block/fio/files/fio-2.2.10-libmtd.patch
new file mode 100644
index 00000000000..7e0a0c0d7d5
--- /dev/null
+++ b/sys-block/fio/files/fio-2.2.10-libmtd.patch
@@ -0,0 +1,12 @@
+diff -Nuar --exclude config.log fio-2.2.10/lib/libmtd.h fio-2.2.10.new/lib/libmtd.h
+--- fio-2.2.10/lib/libmtd.h 2016-01-26 18:02:07.000000000 -0800
++++ fio-2.2.10.new/lib/libmtd.h 2016-02-03 08:10:19.104693006 -0800
+@@ -29,6 +29,8 @@
+ extern "C" {
+ #endif
+
++#include <stdint.h>
++
+ /* Maximum MTD device name length */
+ #define MTD_NAME_MAX 127
+ /* Maximum MTD device type string length */
diff --git a/sys-block/fio/files/fio-2.2.13-libmtd.patch b/sys-block/fio/files/fio-2.2.13-libmtd.patch
new file mode 100644
index 00000000000..7ab9a96c25e
--- /dev/null
+++ b/sys-block/fio/files/fio-2.2.13-libmtd.patch
@@ -0,0 +1,12 @@
+diff -Nuar --exclude config.log fio-2.2.13/oslib/libmtd.h fio-2.2.13.new/oslib/libmtd.h
+--- fio-2.2.13/oslib/libmtd.h 2016-01-26 18:02:07.000000000 -0800
++++ fio-2.2.13.new/oslib/libmtd.h 2016-02-03 08:10:19.104693006 -0800
+@@ -29,6 +29,8 @@
+ extern "C" {
+ #endif
+
++#include <stdint.h>
++
+ /* Maximum MTD device name length */
+ #define MTD_NAME_MAX 127
+ /* Maximum MTD device type string length */
diff --git a/sys-block/fio/fio-2.2.10.ebuild b/sys-block/fio/fio-2.2.10.ebuild
index 1d6b7d4b20e..27c39cd5057 100644
--- a/sys-block/fio/fio-2.2.10.ebuild
+++ b/sys-block/fio/fio-2.2.10.ebuild
@@ -38,6 +38,7 @@ RDEPEND="${DEPEND}
S="${WORKDIR}/${MY_P}"
src_prepare() {
+ epatch "${FILESDIR}"/fio-2.2.10-libmtd.patch
sed -i '/^DEBUGFLAGS/s: -D_FORTIFY_SOURCE=2::g' Makefile || die
epatch_user
diff --git a/sys-block/fio/fio-2.2.13.ebuild b/sys-block/fio/fio-2.2.13.ebuild
index 1d6b7d4b20e..f7a5277013f 100644
--- a/sys-block/fio/fio-2.2.13.ebuild
+++ b/sys-block/fio/fio-2.2.13.ebuild
@@ -38,6 +38,7 @@ RDEPEND="${DEPEND}
S="${WORKDIR}/${MY_P}"
src_prepare() {
+ epatch "${FILESDIR}"/fio-2.2.13-libmtd.patch
sed -i '/^DEBUGFLAGS/s: -D_FORTIFY_SOURCE=2::g' Makefile || die
epatch_user
diff --git a/sys-block/fio/fio-2.5.ebuild b/sys-block/fio/fio-2.5.ebuild
index 1d6b7d4b20e..f7a5277013f 100644
--- a/sys-block/fio/fio-2.5.ebuild
+++ b/sys-block/fio/fio-2.5.ebuild
@@ -38,6 +38,7 @@ RDEPEND="${DEPEND}
S="${WORKDIR}/${MY_P}"
src_prepare() {
+ epatch "${FILESDIR}"/fio-2.2.13-libmtd.patch
sed -i '/^DEBUGFLAGS/s: -D_FORTIFY_SOURCE=2::g' Makefile || die
epatch_user
diff --git a/sys-block/fio/fio-2.6.ebuild b/sys-block/fio/fio-2.6.ebuild
new file mode 100644
index 00000000000..f7a5277013f
--- /dev/null
+++ b/sys-block/fio/fio-2.6.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_COMPAT=( python2_7 )
+inherit eutils python-r1 toolchain-funcs
+
+MY_PV="${PV/_rc/-rc}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="Jens Axboe's Flexible IO tester"
+HOMEPAGE="http://brick.kernel.dk/snaps/"
+SRC_URI="http://brick.kernel.dk/snaps/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="aio glusterfs gnuplot gtk numa rbd rdma static zlib"
+
+# GTK+:2 does not offer static libaries
+# numactl always includes static libraries
+DEPEND="aio? ( static? ( dev-libs/libaio[static-libs(+)] ) !static? ( dev-libs/libaio ) )
+ glusterfs? ( static? ( sys-cluster/glusterfs[static-libs(+)] ) !static? ( sys-cluster/glusterfs ) )
+ gtk? (
+ static? ( dev-libs/glib:2[static-libs(+)] ) !static? ( dev-libs/glib:2 )
+ x11-libs/gtk+:2
+ )
+ numa? ( sys-process/numactl )
+ rbd? ( static? ( sys-cluster/ceph[static-libs(+)] ) !static? ( sys-cluster/ceph ) )
+ zlib? ( static? ( sys-libs/zlib[static-libs(+)] ) !static? ( sys-libs/zlib ) )"
+RDEPEND="${DEPEND}
+ gnuplot? (
+ sci-visualization/gnuplot
+ ${PYTHON_DEPS}
+ )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ epatch "${FILESDIR}"/fio-2.2.13-libmtd.patch
+ sed -i '/^DEBUGFLAGS/s: -D_FORTIFY_SOURCE=2::g' Makefile || die
+ epatch_user
+
+ # Many checks don't have configure flags.
+ sed -i \
+ -e "s:\<pkg-config\>:$(tc-getPKG_CONFIG):" \
+ -e '/if compile_prog "" "-lz" "zlib" *; *then/ '"s::if $(usex zlib true false) ; then:" \
+ -e '/if compile_prog "" "-laio" "libaio" ; then/'"s::if $(usex aio true false) ; then:" \
+ configure || die
+}
+
+src_configure() {
+ chmod g-w "${T}"
+ # not a real configure script
+ set -- \
+ ./configure \
+ --disable-optimizations \
+ --extra-cflags="${CFLAGS} ${CPPFLAGS}" \
+ --cc="$(tc-getCC)" \
+ $(usex glusterfs '' '--disable-gfapi') \
+ $(usex gtk '--enable-gfio' '') \
+ $(usex numa '' '--disable-numa') \
+ $(usex rbd '' '--disable-rbd') \
+ $(usex static '--build-static' '')
+ echo "$@"
+ "$@" || die 'configure failed'
+}
+
+src_compile() {
+ emake V=1 OPTFLAGS=
+}
+
+src_install() {
+ emake install DESTDIR="${D}" prefix="${EPREFIX}/usr" mandir="${EPREFIX}/usr/share/man"
+
+ if use gnuplot ; then
+ python_replicate_script "${ED}/usr/bin/fio2gnuplot"
+ else
+ rm "${ED}"/usr/bin/{fio2gnuplot,fio_generate_plots} || die
+ rm "${ED}"/usr/share/man/man1/{fio2gnuplot,fio_generate_plots}.1 || die
+ rm "${ED}"/usr/share/fio/*.gpm || die
+ rmdir "${ED}"/usr/share/fio/ 2>/dev/null
+ fi
+
+ # This tool has security/parallel issues -- it hardcodes /tmp/template.fio.
+ rm "${ED}"/usr/bin/genfio || die
+
+ dodoc README REPORTING-BUGS HOWTO
+ docinto examples
+ dodoc examples/*
+}